org.apache.solr.core.backup.repository

## Enum BackupRepository.PathType

- java.lang.Object
- - java.lang.Enum<BackupRepository.PathType>
  - - org.apache.solr.core.backup.repository.BackupRepository.PathType

- All Implemented Interfaces:
    Serializable, Comparable<BackupRepository.PathType>
  Enclosing interface:
    BackupRepository

      public static enum BackupRepository.PathType
      extends Enum<BackupRepository.PathType>

  This enumeration defines the type of a given path.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DIRECTORY`
    `FILE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BackupRepository.PathType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BackupRepository.PathType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIRECTORY

          public static final BackupRepository.PathType DIRECTORY

    - #### FILE

          public static final BackupRepository.PathType FILE

  - ### Method Detail

    - #### values

          public static BackupRepository.PathType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BackupRepository.PathType c : BackupRepository.PathType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BackupRepository.PathType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.